## sardana 3.5.0

=== sardanaConfig/doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/sardanaConfig.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/sardanaConfig.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/sardanaConfig"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/sardanaConfig"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## sardana 1.2.0

=== debian/changelog ===
sardana (1.2.0-2) unstable; urgency=low

  * debian/control
    - Add Depends:python-nxs to allow NeXuS file generation
  * debian/rules
    - export http_proxy='localhost' to avoid internet download during
      the build (Closes: #735161)
    - remove duplication in the documentation package
  * debian/patch
    + 0001-fix-the-FTBFS-until-the-PyTango-binding-is-fixed.patch
      remove the inheritance-diagram from the documentation

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 09 Sep 2013 11:26:31 +0200

sardana (1.2.0-1) unstable; urgency=low

  * Initial release (Closes: #717871)
  * Thanks to Justin B Rye for package description review

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 26 Jul 2013 18:53:05 +0200

=== debian/control ===
Source: sardana
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>
Section: science
Priority: extra
Build-Depends: debhelper (>= 9),
               graphviz,
               python-all,
               python-lxml,
               python-pytango (>= 8.0.3-2),
               python-sphinx,
               python-taurus (>= 3.1.0),
               rdfind,
               symlinks
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/sardana.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/sardana.git
Homepage: http://www.tango-controls.org/static/Sardana/latest/doc/html/
X-Python-Version: >= 2.6

Package: python-sardana
Architecture: all
Section: python
Depends: ${misc:Depends},
         ${python:Depends},
         python-lxml,
         python-nxs,
         python-pytango (>= 8.0.3-2),
         python-taurus (>= 3.1.0)
Provides: ${python:Provides}
Description: sardana control system
 SARDANA, is a TANGO based control system designed for instrument
 control and data acquisition, mainly developed by CELLS Alba
 Synchrotron Controls Section.  SARDANA framework is designed to hide
 the complexity and heterogeneity of the control system (some internal
 control of a group of devices), while providing a wide, rich, and
 extensible set of operations that a user may need.

Package: python-sardana-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: sardana control system
 SARDANA, is a TANGO based control system designed for instrument
 control and data acquisition, mainly developed by CELLS Alba
 Synchrotron Controls Section.  SARDANA framework is designed to hide
 the complexity and heterogeneity of the control system (some internal
 control of a group of devices), while providing a wide, rich, and
 extensible set of operations that a user may need.
 .
 This package contains the documentation for the python-sardana library.

=== debian/rules ===
#!/usr/bin/make -f

export http_proxy='localhost'

# for backport on stable without bpo
WITH_SPHINXDOC = $(shell if [ -x /usr/bin/dh_sphinxdoc ]; then echo "--with sphinxdoc"; fi)

override_dh_clean:
	rm -rf build/sphinx
	dh_clean

override_dh_auto_install:
	dh_auto_install -- --install-html=$(CURDIR)/debian/python-sardana-doc/usr/share/doc/python-sardana-doc/html
	# on squeeze python-sphinx is too old so create a fake documentation for now
	if [ ! -d build/sphinx ]; then mkdir -p build/sphinx/html; fi
	# Replace duplicate files with symlinks
	rdfind -outputname /dev/null -makesymlinks true debian/python-sardana-doc/
	# Fix those symlinks to make them relative
	symlinks -r -s -c debian/python-sardana-doc/

%:
	dh $@ --with python2 $(WITH_SPHINXDOC)

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/s/sardana/sardana-(.*)\.tar\.gz

## sardana 1.4.0

=== debian/changelog ===
sardana (1.4.0-1) unstable; urgency=low

  * Imported Upstream version 1.4.0
  * debian/control
    - Add Breaks, Replaces for python-taurus (<< 3.3.0+dfsg-2~)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 06 Aug 2014 09:49:59 +0200

sardana (1.3.1-2) unstable; urgency=medium

  * debian/control
    - python-sardana: Depends python-nxs | libnexus0-python
      to prepare the backport.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 13 Apr 2014 12:08:37 +0200

sardana (1.3.1-1) unstable; urgency=medium

  * Imported Upstream version 1.3.1
  * debian/patches
    - 0001-forwarded-upstream-install-also-the-ipython_01_00-mo.patch (removed)
  * debian/control
    - Depends: ipython-qtconsole for spock

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 17 Feb 2014 13:52:26 +0100

sardana (1.3.0-1) unstable; urgency=medium

  * Imported Upstream version 1.3.0
  * Bump Standard-Versions to 3.9.5 (Nothing to do)
  * debian/control
    - Improve the sardana package description.
      Thanks to Justin B Rye for this (Closes: #735164)
  * debian/patches
    - 0001-fix-the-FTBFS-until-the-PyTango-binding-is-fixed.patch
      the real problem was sphinx 1.2.0, now that 1.2.1 is available
      remove the patch.
    + 0001-forwarded-upstream-install-also-the-ipython_01_00-mo.patch
      the default upstream forgot to install the ipython_01_00 module

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 16 Feb 2014 07:21:33 +0100

=== debian/control ===
Source: sardana
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>
Section: science
Priority: extra
Build-Depends: debhelper (>= 9),
               graphviz,
               python-all,
               python-lxml,
               python-pytango (>= 8.0.3-2),
               python-sphinx,
               python-taurus (>= 3.3.0+dfsg-2~),
               rdfind,
               symlinks
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/sardana.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/sardana.git
Homepage: http://www.tango-controls.org/static/sardana/latest/doc/html
X-Python-Version: >= 2.6

Package: python-sardana
Architecture: all
Section: python
Depends: ${misc:Depends},
         ${python:Depends},
         ipython-qtconsole,
         python-lxml,
         python-nxs | libnexus0-python,
         python-pytango (>= 8.0.3-2),
         python-taurus (>= 3.3.0+dfsg-2~)
Breaks: python-taurus (<< 3.3.0+dfsg-2~)
Provides: ${python:Provides}
Replaces: python-taurus (<< 3.3.0+dfsg-2~)
Description: instrument control and data acquisition system - library
 Sardana is a Supervision, Control And Data Acquisition (SCADA) system for
 scientific installations. It is written in Python and based on the TANGO
 library. The hardware control and data acquisition routines can be
 accessed via an IPython console and a generic graphical user interface
 (both of which are easily extensible by the user).

Package: python-sardana-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: instrument control and data acquisition system - documentation
 Sardana is a Supervision, Control And Data Acquisition (SCADA) system for
 scientific installations. It is written in Python and based on the TANGO
 library. The hardware control and data acquisition routines can be
 accessed via an IPython console and a generic graphical user interface
 (both of which are easily extensible by the user).
 .
 This package contains the documentation for the python-sardana library.

=== debian/rules ===
--- 
+++ 
@@ -18,5 +18,8 @@
 	# Fix those symlinks to make them relative
 	symlinks -r -s -c debian/python-sardana-doc/
 
+override_dh_auto_test:
+	cd src/sardana/test; PYTHONPATH=$(CURDIR)/src python testsuite.py
+
 %:
 	dh $@ --with python2 $(WITH_SPHINXDOC)

## sardana 1.4.2

=== debian/changelog ===
sardana (1.4.2-1) unstable; urgency=high

  * Imported Upstream version 1.4.2

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 27 Oct 2014 12:11:35 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                python-lxml,
                python-pytango (>= 8.0.3-2),
                python-sphinx,
-               python-taurus (>= 3.3.0+dfsg-2~),
+               python-taurus (>= 3.3.1+dfsg-1~),
                rdfind,
                symlinks
 Standards-Version: 3.9.5
@@ -27,7 +27,7 @@
          python-lxml,
          python-nxs | libnexus0-python,
          python-pytango (>= 8.0.3-2),
-         python-taurus (>= 3.3.0+dfsg-2~)
+         python-taurus (>= 3.3.1+dfsg-1~)
 Breaks: python-taurus (<< 3.3.0+dfsg-2~)
 Provides: ${python:Provides}
 Replaces: python-taurus (<< 3.3.0+dfsg-2~)

## sardana 1.6.1

=== debian/changelog ===
sardana (1.6.1-1) unstable; urgency=medium

  * Imported Upstream version 1.6.1
  * debian/control
    - Depends: taurus (>= 3.6.0+dfsg-1~)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 28 Jul 2015 15:16:42 +0200

sardana (1.5.0-1~exp1) experimental; urgency=medium

  * Imported Upstream version 1.5.0
  * Standards-Version bump to 3.9.6 (nothing to do)
  * debian/watch use the pypi redirector.
  * debian/control
    + Depends: taurus >= 3.4.0+dfsg-1~
    + Build-Depends: texlive-latex-base, texlive-latex-extra, dvipng
      for the documentation
    + Build-Depends: dh-python which was missing

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 06 Feb 2015 18:38:07 +0100

=== debian/control ===
--- 
+++ 
@@ -4,18 +4,22 @@
 Section: science
 Priority: extra
 Build-Depends: debhelper (>= 9),
+               dh-python,
                graphviz,
+               dvipng,
                python-all,
                python-lxml,
                python-pytango (>= 8.0.3-2),
                python-sphinx,
-               python-taurus (>= 3.3.1+dfsg-1~),
+               python-taurus (>= 3.6.0+dfsg-1~),
                rdfind,
-               symlinks
-Standards-Version: 3.9.5
+               symlinks,
+               texlive-latex-base,
+               texlive-latex-extra
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/sardana.git
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/sardana.git
-Homepage: http://www.tango-controls.org/static/sardana/latest/doc/html
+Homepage: http://www.sardana-controls.org
 X-Python-Version: >= 2.6
 
 Package: python-sardana
@@ -27,7 +31,7 @@
          python-lxml,
          python-nxs | libnexus0-python,
          python-pytango (>= 8.0.3-2),
-         python-taurus (>= 3.3.1+dfsg-1~)
+         python-taurus (>= 3.6.0+dfsg-1~)
 Breaks: python-taurus (<< 3.3.0+dfsg-2~)
 Provides: ${python:Provides}
 Replaces: python-taurus (<< 3.3.0+dfsg-2~)

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,9 @@
 
 override_dh_clean:
 	rm -rf build/sphinx
+	# remove useless file accidentaly forgotten by upstream.
+	# THIS SHOULD BE FIXED FOR THE NEXT UPLOAD > 1.4.2
+	rm -rf src/sardana/taurus/qt/qtgui/extra_macroexecutor/build/
 	dh_clean
 
 override_dh_auto_install:
@@ -18,8 +21,5 @@
 	# Fix those symlinks to make them relative
 	symlinks -r -s -c debian/python-sardana-doc/
 
-override_dh_auto_test:
-	cd src/sardana/test; PYTHONPATH=$(CURDIR)/src python testsuite.py
-
 %:
 	dh $@ --with python2 $(WITH_SPHINXDOC)

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/sardana/sardana-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## sardana 2.0.0

=== debian/changelog ===
sardana (2.0.0-1) unstable; urgency=medium

  * Imported Upstream version 2.0.0
  * Fixed VCS-x urls with cme
  * debian/control
    - Depends: gir1.2-hkl-5.0

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 29 Apr 2016 00:58:49 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Priority: extra
 Build-Depends: debhelper (>= 9),
                dh-python,
+               dvipng,
+               gir1.2-hkl-5.0,
                graphviz,
-               dvipng,
                python-all,
                python-lxml,
                python-pytango (>= 8.0.3-2),
@@ -17,8 +18,8 @@
                texlive-latex-base,
                texlive-latex-extra
 Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/sardana.git
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/sardana.git
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/sardana.git
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/sardana.git
 Homepage: http://www.sardana-controls.org
 X-Python-Version: >= 2.6
 
@@ -27,6 +28,7 @@
 Section: python
 Depends: ${misc:Depends},
          ${python:Depends},
+         gir1.2-hkl-5.0,
          ipython-qtconsole,
          python-lxml,
          python-nxs | libnexus0-python,
@@ -55,4 +57,3 @@
  (both of which are easily extensible by the user).
  .
  This package contains the documentation for the python-sardana library.
-

## sardana 2.2.2

=== debian/changelog ===
sardana (2.2.2-3) unstable; urgency=medium

  * Avoid dependency on nxs python module
  * Remove python-nxs depend and add Uploader

 -- Carlos Pascual <cpascual@cells.es>  Fri, 12 May 2017 01:38:55 +0200

sardana (2.2.2-2) unstable; urgency=medium

  * Unit test unactivated for now (Closes: #851017)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 13 Jan 2017 14:08:16 +0100

sardana (2.2.2-1) unstable; urgency=medium

  * New upstream version 2.2.2

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 11 Jan 2017 17:59:25 +0100

sardana (2.2.0-1) unstable; urgency=medium

  * New upstream version 2.2.0
  * Standards-Version bump to 3.9.8 (nothing to do)
  * Switched to pybuild build system
  * compat level 9 -> 10
  * d/control
    - Added Build-Depends: python-setuptools
    - Added Suggests: python-sardana-doc (Closes: #849615)
      Thanks Ben Finney for the bug report

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 31 Dec 2016 10:00:54 +0100

sardana (2.1.1-1) unstable; urgency=medium

  * Uploaded into Unstable

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 31 Oct 2016 20:41:26 +0100

sardana (2.1.1-1~exp1) experimental; urgency=medium

  * New upstream version 2.1.1

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 30 Sep 2016 10:59:28 +0200

sardana (2.1.0-1~exp1) experimental; urgency=medium

  * New upstream version 2.1.0

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 13 Sep 2016 20:41:26 +0200

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,26 @@
 Source: sardana
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>
+Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>, Carlos Pascual <cpascual@cells.es>
 Section: science
 Priority: extra
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
-               dvipng,
-               gir1.2-hkl-5.0,
-               graphviz,
                python-all,
-               python-lxml,
-               python-pytango (>= 8.0.3-2),
-               python-sphinx,
-               python-taurus (>= 3.6.0+dfsg-1~),
-               rdfind,
-               symlinks,
-               texlive-latex-base,
-               texlive-latex-extra
-Standards-Version: 3.9.6
+               python-setuptools,
+Build-Depends-Indep: dvipng,
+                     gir1.2-hkl-5.0,
+                     graphviz,
+                     python-itango,
+                     python-lxml,
+                     python-pytango (>= 8.0.3-2),
+                     python-sphinx,
+                     python-sphinx-rtd-theme,
+                     python-taurus (>= 3.6.0+dfsg-1~),
+                     rdfind,
+                     symlinks,
+                     texlive-latex-base,
+                     texlive-latex-extra
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/sardana.git
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/sardana.git
 Homepage: http://www.sardana-controls.org
@@ -29,11 +32,12 @@
 Depends: ${misc:Depends},
          ${python:Depends},
          gir1.2-hkl-5.0,
-         ipython-qtconsole,
+         python-itango,
          python-lxml,
-         python-nxs | libnexus0-python,
+         python-h5py,
          python-pytango (>= 8.0.3-2),
          python-taurus (>= 3.6.0+dfsg-1~)
+Suggests: python-sardana-doc
 Breaks: python-taurus (<< 3.3.0+dfsg-2~)
 Provides: ${python:Provides}
 Replaces: python-taurus (<< 3.3.0+dfsg-2~)

## sardana 2.6.1+dfsg

=== debian/changelog ===
sardana (2.6.1+dfsg-1) unstable; urgency=medium

  * New upstream version 2.6.1 (closes: #918830 )
  * Standards-Version bump to 4.3.0 (nothing to do)
  * Update upstream info in d/copyright
  * Make debian/watch file a dummy one
  * Drop existing quilt patch queue
  * Add patch to avoid privacy-breach lintian error
  * Fix various minor lintian errors
  * Enable Salsa-Pipeline for building and testing packages

 -- Carlos Pascual <cpascual@cells.es>  Mon, 04 Feb 2019 15:47:31 +0100

## sardana 2.6.2+dfsg

=== debian/changelog ===
sardana (2.6.2+dfsg-1) unstable; urgency=medium

  * New upstream version 2.6.2 

 -- Carlos Pascual <cpascual@cells.es>  Tue, 05 Feb 2019 11:19:28 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>, Carlos Pascual <cpascual@cells.es>
 Section: science
-Priority: extra
+Priority: optional
 Build-Depends: debhelper (>= 10),
                dh-python,
                python-all,
@@ -12,19 +12,18 @@
                      graphviz,
                      python-itango,
                      python-lxml,
-                     python-pytango (>= 8.0.3-2),
+                     python-tango,
                      python-sphinx,
                      python-sphinx-rtd-theme,
-                     python-taurus (>= 3.6.0+dfsg-1~),
+                     python-taurus,
                      rdfind,
                      symlinks,
                      texlive-latex-base,
                      texlive-latex-extra
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/sardana.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/sardana.git
+Standards-Version: 4.3.0
+Vcs-Browser: https://salsa.debian.org/science-team/sardana
+Vcs-Git: https://salsa.debian.org/science-team/sardana.git
 Homepage: http://www.sardana-controls.org
-X-Python-Version: >= 2.6
 
 Package: python-sardana
 Architecture: all
@@ -35,8 +34,8 @@
          python-itango,
          python-lxml,
          python-h5py,
-         python-pytango (>= 8.0.3-2),
-         python-taurus (>= 3.6.0+dfsg-1~)
+         python-tango,
+         python-taurus
 Suggests: python-sardana-doc
 Breaks: python-taurus (<< 3.3.0+dfsg-2~)
 Provides: ${python:Provides}

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=sardana

%:
	dh $@ --with python2,sphinxdoc --buildsystem=pybuild

override_dh_installman:
	dh_installman -p python-sardana doc/man/*.1

override_dh_sphinxdoc: export http_proxy=127.0.0.1:9
override_dh_sphinxdoc: export https_proxy=127.0.0.1:9
override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -N -bhtml doc/source build/html # HTML generator
	dh_installdocs "build/html" -p python-sardana-doc
	dh_sphinxdoc -O--buildsystem=pybuild

	rdfind -outputname /dev/null -makesymlinks true debian/python-sardana-doc/
	# Fix those symlinks to make them relative
	symlinks -r -s -c debian/python-sardana-doc/
endif

# avoid unit test for now
override_dh_auto_test:

## sardana 3.0.2a0+34.9f6895

=== debian/changelog ===
sardana (3.0.2a0+34.9f6895-1) unstable; urgency=medium

  * New upstream version 3.0.2a0+34.9f6895
  * Fixed reprotest issues in pyhton3-sardana-doc
  * Removed unneeded patch
  * python3-sardana breaks+replaces python-sardana (closes: #943847)

 -- Carlos Pascual <cpascual@cells.es>  Thu, 14 Nov 2019 13:36:28 +0000

sardana (3.0.0a+3.f4f89e+dfsg-2) unstable; urgency=medium

  * Source only upload

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 19 Oct 2019 13:30:38 +0200

sardana (3.0.0a+3.f4f89e+dfsg-1) unstable; urgency=medium

  [ Carlos Pascual ]
  * New upstream version 3.0.0a+3.f4f89e
  * Python 2 removal: binary package changed to python3-sardana
  * Standards-Version bump to 4.4.0 (nothing to do)
  * Use debhelper-compat instead of debian/compat.
  * d/changelog: Remove trailing whitespaces.
  * Override version info in python3-tango dep

 -- Carlos Pascual <cpascual@cells.es>  Tue, 03 Sep 2019 17:55:00 +0100

=== debian/control ===
Source: sardana
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>, Carlos Pascual <cpascual@cells.es>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 10),
               dh-python,
               python3-all,
               python3-setuptools,
Build-Depends-Indep: dvipng,
                     gir1.2-hkl-5.0,
                     graphviz,
                     python3-itango,
                     python3-lxml,
                     python3-tango,
                     python3-sphinx,
                     python3-sphinx-rtd-theme,
                     rdfind,
                     symlinks,
                     texlive-latex-base,
                     texlive-latex-extra,
                     python3-taurus
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/science-team/sardana
Vcs-Git: https://salsa.debian.org/science-team/sardana.git
Homepage: http://www.sardana-controls.org

Package: python3-sardana
Architecture: all
Section: python
Depends: ${misc:Depends},
         ${python3:Depends},
         gir1.2-hkl-5.0,
         python3-itango,
         python3-lxml,
         python3-h5py,
         python3-tango,
         python3-taurus
Suggests: python-sardana-doc
Breaks: python-sardana (<<3.0.0)
Replaces: python-sardana (<<3.0.0)
Provides: ${python3:Provides}
Description: instrument control and data acquisition system - library
 Sardana is a Supervision, Control And Data Acquisition (SCADA) system for
 scientific installations. It is written in Python and based on the TANGO
 library. The hardware control and data acquisition routines can be
 accessed via an IPython console and a generic graphical user interface
 (both of which are easily extensible by the user).

Package: python-sardana-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: instrument control and data acquisition system - documentation
 Sardana is a Supervision, Control And Data Acquisition (SCADA) system for
 scientific installations. It is written in Python and based on the TANGO
 library. The hardware control and data acquisition routines can be
 accessed via an IPython console and a generic graphical user interface
 (both of which are easily extensible by the user).
 .
 This package contains the documentation for the python3-sardana library.

=== debian/watch ===
# This package is maintained with a pure git workflow.
# New upstream versions are imported by merging git refs 
# from the upstream repository (not necessarily tagged) 
# into the packaging branch.
# Therefore, uscan is not a meaningful way of monitoring 
# new upstream versions. Hence this dummy file.

## sardana 3.0.3

=== debian/changelog ===
sardana (3.0.3-1) unstable; urgency=medium

  * New upstream version 3.0.3
  * Standards-Version bump to 4.5.0 (nothing to do)
  * debhelper-compat bump to 13 (nothing to do)

 -- Carlos Pascual <cpascual@cells.es>  Wed, 07 Oct 2020 12:30:00 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>, Carlos Pascual <cpascual@cells.es>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 10),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-setuptools,
@@ -20,7 +20,7 @@
                      texlive-latex-base,
                      texlive-latex-extra,
                      python3-taurus
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/science-team/sardana
 Vcs-Git: https://salsa.debian.org/science-team/sardana.git
 Homepage: http://www.sardana-controls.org

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=sardana
export PYBUILD_AFTER_INSTALL=dh_numpy3
export PYBUILD_DISABLE=test

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_installman:
	dh_installman -p python3-sardana doc/man/*.1

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYBUILD_SYSTEM=custom \
	PYBUILD_BUILD_ARGS="cd doc && PYTHONPATH={build_dir} http_proxy='127.0.0.1:9' {interpreter} -m sphinx -N -bhtml source build/html" dh_auto_build  # HTML generator
	dh_installdocs "doc/build/html" -p python-sardana-doc
	dh_sphinxdoc -O--buildsystem=pybuild
endif

## sardana 3.5.0

=== debian/changelog ===
sardana (3.5.0-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Roland Mas <lolando@debian.org>  Wed, 07 Aug 2024 20:07:09 +0200

sardana (3.5.0-1) unstable; urgency=medium

  * Add myself to Uploaders.
  * Update debian/watch to follow upstream releases.
  * New upstream release.

 -- Roland Mas <lolando@debian.org>  Tue, 16 Jul 2024 15:39:06 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,8 @@
 Source: sardana
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>, Carlos Pascual <cpascual@cells.es>
+Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>,
+ Carlos Pascual <cpascual@cells.es>,
+ Roland Mas <lolando@debian.org>,
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -15,6 +17,9 @@
                      python3-tango,
                      python3-sphinx,
                      python3-sphinx-rtd-theme,
+		     python3-sphinxcontrib-mermaid,
+		     python3-sphinx-autodoc-typehints,
+		     python3-pytest,
                      rdfind,
                      symlinks,
                      texlive-latex-base,

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://gitlab.com/sardana-org/sardana/-/tags \
    .*/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@

## sardana 3.5.1

=== debian/changelog ===
sardana (3.5.1-1) unstable; urgency=medium

  * d/watch: updated to use plain searchmode for gitlab
  * New upstream version 3.5.1
  Use secure URI in Homepage field.
  Update standards version to 4.6.2, no changes needed.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 05 Mar 2025 15:02:28 +0100

sardana (3.5.0-2) unstable; urgency=medium

  * Team Upload.
  * d/patches/0002-Fix-SyntaxWarning.patch: Add patch to remove
    SyntaxWarnings (Closes: #985008).

 -- Emmanuel Arias <eamanu@debian.org>  Mon, 11 Nov 2024 16:42:00 -0300

=== debian/control ===
Source: sardana
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Picca Frédéric-Emmanuel <picca@debian.org>,
 Carlos Pascual <cpascual@cells.es>,
 Roland Mas <lolando@debian.org>,
Section: science
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-numpy3,
 dh-sequence-python3,
 dh-sequence-sphinxdoc <!nodoc>,
 dvipng <!nodoc>,
 gir1.2-hkl-5.0 <!nodoc>,
 graphviz <!nodoc>,
 pybuild-plugin-pyproject,
 python3-all,
 python3-click,
 python3-itango,
 python3-lxml,
 python3-packaging,
 python3-pytest <!nodoc>,
 python3-setuptools,
 python3-sphinx <!nodoc>,
 python3-sphinx-autodoc-typehints <!nodoc>,
 python3-sphinx-rtd-theme <!nodoc>,
 python3-sphinxcontrib-mermaid <!nodoc>,
 python3-tango,
 python3-taurus,
 rdfind <!nodoc>,
 symlinks <!nodoc>,
 texlive-latex-base <!nodoc>,
 texlive-latex-extra <!nodoc>,
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/science-team/sardana
Vcs-Git: https://salsa.debian.org/science-team/sardana.git
Homepage: https://www.sardana-controls.org

Package: python3-sardana
Architecture: all
Section: python
Depends:
 gir1.2-hkl-5.0,
 python3-h5py,
 python3-itango,
 python3-lxml,
 python3-tango,
 python3-taurus,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-sardana-doc,
Breaks:
 python-sardana (<<3.0.0),
Replaces:
 python-sardana (<<3.0.0),
Provides:
 ${python3:Provides},
Description: instrument control and data acquisition system - library
 Sardana is a Supervision, Control And Data Acquisition (SCADA) system for
 scientific installations. It is written in Python and based on the TANGO
 library. The hardware control and data acquisition routines can be
 accessed via an IPython console and a generic graphical user interface
 (both of which are easily extensible by the user).

Package: python-sardana-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: instrument control and data acquisition system - documentation
 Sardana is a Supervision, Control And Data Acquisition (SCADA) system for
 scientific installations. It is written in Python and based on the TANGO
 library. The hardware control and data acquisition routines can be
 accessed via an IPython console and a generic graphical user interface
 (both of which are easily extensible by the user).
 .
 This package contains the documentation for the python3-sardana library.

=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,10 @@
 #!/usr/bin/make -f
 
 export PYBUILD_NAME=sardana
-export PYBUILD_AFTER_INSTALL=dh_numpy3
 export PYBUILD_DISABLE=test
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_installman:
 	dh_installman -p python3-sardana doc/man/*.1

=== debian/watch ===
version=4
opts="searchmode=plain" \
 https://gitlab.com/sardana-org/@PACKAGE@/tags?sort=updated_desc -/archive/v?\d[\d.]+/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
